emacs-elpa-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[elpa] externals/dash 26c1bbe 390/439: Merge pull request #113 from fber


From: Phillip Lord
Subject: [elpa] externals/dash 26c1bbe 390/439: Merge pull request #113 from fbergroth/fix-byte-compile-test
Date: Tue, 04 Aug 2015 20:31:03 +0000

branch: externals/dash
commit 26c1bbe371db3cff89d4915488a55e381ee51fe5
Merge: afe2781 1ccd2b4
Author: Magnar Sveen <address@hidden>
Commit: Magnar Sveen <address@hidden>

    Merge pull request #113 from fbergroth/fix-byte-compile-test
    
    Fix byte compilation test
---
 dev/test-byte-compile.el |    8 --------
 run-tests.sh             |    9 ++++++++-
 2 files changed, 8 insertions(+), 9 deletions(-)

diff --git a/dev/test-byte-compile.el b/dev/test-byte-compile.el
deleted file mode 100644
index 8d9905e..0000000
--- a/dev/test-byte-compile.el
+++ /dev/null
@@ -1,8 +0,0 @@
-(require 'ert)
-
-(ert-deftest dash-byte-compile ()
-  (let* ((cmd "emacs --quick --batch -f batch-byte-compile dash.el")
-         (res (shell-command-to-string cmd))
-         (elc (expand-file-name "dash.elc"))
-         (exp (format "Wrote %s\n" elc)))
-    (should (string= res exp))))
diff --git a/run-tests.sh b/run-tests.sh
index ce9a011..74bc211 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -1,5 +1,7 @@
 #!/usr/bin/env bash
 
+set -e
+
 if [ -z "$EMACS" ] ; then
     EMACS="emacs"
 fi
@@ -10,5 +12,10 @@ $EMACS -batch \
        -l dash-functional.el \
        -l dev/examples-to-tests.el \
        -l dev/examples.el \
-       $([[ $EMACS != "emacs23" ]] && echo -l dev/test-byte-compile.el) \
        -f ert-run-tests-batch-and-exit
+
+if [[ $EMACS != "emacs23" ]]; then
+    $EMACS -Q --batch \
+           --eval '(setq byte-compile-error-on-warn t)' \
+           -f batch-byte-compile dash.el
+fi



reply via email to

[Prev in Thread] Current Thread [Next in Thread]